before_script:
  - "export DISPLAY=:99.0"
  - "sh -e /etc/init.d/xvfb start"

language: node_js

before_install:
 - sudo apt-get install libgmp3-dev
 - "mysql -e 'create database browserid;'"

node_js:
 - 0.6

notifications:
  irc: "irc.mozilla.org#identity"
  email:
    - lloyd@mozilla.com
    - jbonacci@mozilla.com
    - jrgm@mozilla.com

env:
 - WHAT_TESTS=front MYSQL_USER=root
 - WHAT_TESTS=back_mysql MYSQL_USER=root
 - WHAT_TESTS=back

mysql:
  adapter: mysql2
  username: root
  encoding: utf8
  database: browserid
